%global momorel 1
%global md5sum_src0 3183dbe11fb786e84298651d19f35629

Name:           perl-IO-Compress-Zlib
Version:        2.005
Release: %{momorel}m%{?dist}
Summary:        IO::Compress::Zlib Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Compress-Zlib/
%NoSource 0     http://www.cpan.org/modules/by-module/IO/IO-Compress-Zlib-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Compress-Raw-Zlib >= %{version}
BuildRequires:  perl-IO-Compress-Base >= %{version}
Requires:       perl-Compress-Raw-Zlib >= %{version}
Requires:       perl-IO-Compress-Base >= %{version}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
        Copyright (c) 2005-2006 Paul Marquess. All rights reserved.
          This program is free software; you can redistribute it
           and/or modify it under the same terms as Perl itself.

%prep
%setup -q -n IO-Compress-Zlib-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/Compress/*
%{perl_vendorlib}/*/Uncompress/*
%{_mandir}/man3/*

%changelog
* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.005-1m)
- update to 2.005

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.004-2m)
- use vendor

* Sun Mar  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.004-1m)
- update to 2.004

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.003-1m)
- update to 2.003

* Sat Dec 30 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.002-1m)
- update to 2.002

* Thu Nov 09 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.001-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
